<div class="front_page_section front_page_section_googlemap<?php
	$ecogrow_scheme = ecogrow_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $ecogrow_scheme ) && ! ecogrow_is_inherit( $ecogrow_scheme ) ) {
		echo ' scheme_' . esc_attr( $ecogrow_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( ecogrow_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( ecogrow_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$ecogrow_css      = '';
		$ecogrow_bg_image = ecogrow_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $ecogrow_bg_image ) ) {
			$ecogrow_css .= 'background-image: url(' . esc_url( ecogrow_get_attachment_url( $ecogrow_bg_image ) ) . ');';
		}
		if ( ! empty( $ecogrow_css ) ) {
			echo ' style="' . esc_attr( $ecogrow_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$ecogrow_anchor_icon = ecogrow_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$ecogrow_anchor_text = ecogrow_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $ecogrow_anchor_icon ) || ! empty( $ecogrow_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $ecogrow_anchor_icon ) ? ' icon="' . esc_attr( $ecogrow_anchor_icon ) . '"' : '' )
									. ( ! empty( $ecogrow_anchor_text ) ? ' title="' . esc_attr( $ecogrow_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$ecogrow_layout = ecogrow_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $ecogrow_layout );
		if ( ecogrow_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' ecogrow-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$ecogrow_css      = '';
			$ecogrow_bg_mask  = ecogrow_get_theme_option( 'front_page_googlemap_bg_mask' );
			$ecogrow_bg_color_type = ecogrow_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $ecogrow_bg_color_type ) {
				$ecogrow_bg_color = ecogrow_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $ecogrow_bg_color_type ) {
				$ecogrow_bg_color = ecogrow_get_scheme_color( 'bg_color', $ecogrow_scheme );
			} else {
				$ecogrow_bg_color = '';
			}
			if ( ! empty( $ecogrow_bg_color ) && $ecogrow_bg_mask > 0 ) {
				$ecogrow_css .= 'background-color: ' . esc_attr(
					1 == $ecogrow_bg_mask ? $ecogrow_bg_color : ecogrow_hex2rgba( $ecogrow_bg_color, $ecogrow_bg_mask )
				) . ';';
			}
			if ( ! empty( $ecogrow_css ) ) {
				echo ' style="' . esc_attr( $ecogrow_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $ecogrow_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$ecogrow_caption     = ecogrow_get_theme_option( 'front_page_googlemap_caption' );
			$ecogrow_description = ecogrow_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $ecogrow_caption ) || ! empty( $ecogrow_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $ecogrow_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $ecogrow_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $ecogrow_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $ecogrow_caption, 'ecogrow_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $ecogrow_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $ecogrow_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $ecogrow_description ), 'ecogrow_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $ecogrow_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$ecogrow_content = ecogrow_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $ecogrow_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $ecogrow_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $ecogrow_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $ecogrow_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $ecogrow_content, 'ecogrow_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $ecogrow_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $ecogrow_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! ecogrow_exists_trx_addons() ) {
						ecogrow_customizer_need_trx_addons_message();
					} else {
						ecogrow_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $ecogrow_layout && ( ! empty( $ecogrow_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
