<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'ecogrow_extra_styles_get_css' ) ) {
	add_filter( 'ecogrow_filter_get_css', 'ecogrow_extra_styles_get_css', 10, 2 );
	function ecogrow_extra_styles_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

.sc_layouts_row_type_compact .sc_socials.sc_socials_icons_names .social_item .social_name {
	{$fonts['p_font-family']}
}

.sc_slider_controls.slider_pagination_style_title.sc_slider_controls_light .slider_pagination_wrap .slider_pagination_bullet {
	{$fonts['h6_font-family']}
	{$fonts['h6_text-transform']}
}



CSS;
		}
		
		return $css;
	}
}

