<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package ECOGROW
 * @since ECOGROW 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$ecogrow_copyright_scheme = ecogrow_get_theme_option( 'copyright_scheme' );
if ( ! empty( $ecogrow_copyright_scheme ) && ! ecogrow_is_inherit( $ecogrow_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $ecogrow_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$ecogrow_copyright = ecogrow_get_theme_option( 'copyright' );
			if ( ! empty( $ecogrow_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$ecogrow_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $ecogrow_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$ecogrow_copyright = ecogrow_prepare_macros( $ecogrow_copyright );
				// Display copyright
				echo wp_kses( nl2br( $ecogrow_copyright ), 'ecogrow_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
