<?php
/**
 * The template to display default site footer
 *
 * @package ECOGROW
 * @since ECOGROW 1.0.10
 */

$ecogrow_footer_id = ecogrow_get_custom_footer_id();
$ecogrow_footer_meta = get_post_meta( $ecogrow_footer_id, 'trx_addons_options', true );
if ( ! empty( $ecogrow_footer_meta['margin'] ) ) {
	ecogrow_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( ecogrow_prepare_css_value( $ecogrow_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $ecogrow_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $ecogrow_footer_id ) ) ); ?>
						<?php
						$ecogrow_footer_scheme = ecogrow_get_theme_option( 'footer_scheme' );
						if ( ! empty( $ecogrow_footer_scheme ) && ! ecogrow_is_inherit( $ecogrow_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $ecogrow_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'ecogrow_action_show_layout', $ecogrow_footer_id );
	?>
</footer><!-- /.footer_wrap -->
