<?php
/**
 * The template to display the background video in the header
 *
 * @package ECOGROW
 * @since ECOGROW 1.0.14
 */
$ecogrow_header_video = ecogrow_get_header_video();
$ecogrow_embed_video  = '';
if ( ! empty( $ecogrow_header_video ) && ! ecogrow_is_from_uploads( $ecogrow_header_video ) ) {
	if ( ecogrow_is_youtube_url( $ecogrow_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $ecogrow_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php ecogrow_show_layout( ecogrow_get_embed_video( $ecogrow_header_video ) ); ?></div>
		<?php
	}
}
